package handlers

import (
	"moneygo/models"
)

var SecurityTemplates = []models.Security{
	// ISO 4217, from http://www.currency-iso.org/en/home/tables/table-a1.html
	{
		Name:        "ALL",
		Description: "Lek",
		Symbol:      "ALL",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "8"},
	{
		Name:        "DZD",
		Description: "Algerian Dinar",
		Symbol:      "DZD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "12"},
	{
		Name:        "ARS",
		Description: "Argentine Peso",
		Symbol:      "ARS",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "32"},
	{
		Name:        "AUD",
		Description: "Australian Dollar",
		Symbol:      "AUD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "36"},
	{
		Name:        "BSD",
		Description: "Bahamian Dollar",
		Symbol:      "BSD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "44"},
	{
		Name:        "BHD",
		Description: "Bahraini Dinar",
		Symbol:      "BHD",
		Precision:   3,
		Type:        models.Currency,
		AlternateId: "48"},
	{
		Name:        "BDT",
		Description: "Taka",
		Symbol:      "BDT",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "50"},
	{
		Name:        "AMD",
		Description: "Armenian Dram",
		Symbol:      "AMD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "51"},
	{
		Name:        "BBD",
		Description: "Barbados Dollar",
		Symbol:      "BBD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "52"},
	{
		Name:        "BMD",
		Description: "Bermudian Dollar",
		Symbol:      "BMD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "60"},
	{
		Name:        "BTN",
		Description: "Ngultrum",
		Symbol:      "BTN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "64"},
	{
		Name:        "BOB",
		Description: "Boliviano",
		Symbol:      "BOB",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "68"},
	{
		Name:        "BWP",
		Description: "Pula",
		Symbol:      "BWP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "72"},
	{
		Name:        "BZD",
		Description: "Belize Dollar",
		Symbol:      "BZD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "84"},
	{
		Name:        "SBD",
		Description: "Solomon Islands Dollar",
		Symbol:      "SBD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "90"},
	{
		Name:        "BND",
		Description: "Brunei Dollar",
		Symbol:      "BND",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "96"},
	{
		Name:        "MMK",
		Description: "Kyat",
		Symbol:      "MMK",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "104"},
	{
		Name:        "BIF",
		Description: "Burundi Franc",
		Symbol:      "BIF",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "108"},
	{
		Name:        "KHR",
		Description: "Riel",
		Symbol:      "KHR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "116"},
	{
		Name:        "CAD",
		Description: "Canadian Dollar",
		Symbol:      "CAD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "124"},
	{
		Name:        "CVE",
		Description: "Cabo Verde Escudo",
		Symbol:      "CVE",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "132"},
	{
		Name:        "KYD",
		Description: "Cayman Islands Dollar",
		Symbol:      "KYD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "136"},
	{
		Name:        "LKR",
		Description: "Sri Lanka Rupee",
		Symbol:      "LKR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "144"},
	{
		Name:        "CLP",
		Description: "Chilean Peso",
		Symbol:      "CLP",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "152"},
	{
		Name:        "CNY",
		Description: "Yuan Renminbi",
		Symbol:      "CNY",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "156"},
	{
		Name:        "COP",
		Description: "Colombian Peso",
		Symbol:      "COP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "170"},
	{
		Name:        "KMF",
		Description: "Comorian Franc ",
		Symbol:      "KMF",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "174"},
	{
		Name:        "CRC",
		Description: "Costa Rican Colon",
		Symbol:      "CRC",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "188"},
	{
		Name:        "HRK",
		Description: "Kuna",
		Symbol:      "HRK",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "191"},
	{
		Name:        "CUP",
		Description: "Cuban Peso",
		Symbol:      "CUP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "192"},
	{
		Name:        "CZK",
		Description: "Czech Koruna",
		Symbol:      "CZK",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "203"},
	{
		Name:        "DKK",
		Description: "Danish Krone",
		Symbol:      "DKK",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "208"},
	{
		Name:        "DOP",
		Description: "Dominican Peso",
		Symbol:      "DOP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "214"},
	{
		Name:        "SVC",
		Description: "El Salvador Colon",
		Symbol:      "SVC",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "222"},
	{
		Name:        "ETB",
		Description: "Ethiopian Birr",
		Symbol:      "ETB",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "230"},
	{
		Name:        "ERN",
		Description: "Nakfa",
		Symbol:      "ERN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "232"},
	{
		Name:        "FKP",
		Description: "Falkland Islands Pound",
		Symbol:      "FKP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "238"},
	{
		Name:        "FJD",
		Description: "Fiji Dollar",
		Symbol:      "FJD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "242"},
	{
		Name:        "DJF",
		Description: "Djibouti Franc",
		Symbol:      "DJF",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "262"},
	{
		Name:        "GMD",
		Description: "Dalasi",
		Symbol:      "GMD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "270"},
	{
		Name:        "GIP",
		Description: "Gibraltar Pound",
		Symbol:      "GIP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "292"},
	{
		Name:        "GTQ",
		Description: "Quetzal",
		Symbol:      "GTQ",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "320"},
	{
		Name:        "GNF",
		Description: "Guinean Franc",
		Symbol:      "GNF",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "324"},
	{
		Name:        "GYD",
		Description: "Guyana Dollar",
		Symbol:      "GYD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "328"},
	{
		Name:        "HTG",
		Description: "Gourde",
		Symbol:      "HTG",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "332"},
	{
		Name:        "HNL",
		Description: "Lempira",
		Symbol:      "HNL",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "340"},
	{
		Name:        "HKD",
		Description: "Hong Kong Dollar",
		Symbol:      "HKD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "344"},
	{
		Name:        "HUF",
		Description: "Forint",
		Symbol:      "HUF",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "348"},
	{
		Name:        "ISK",
		Description: "Iceland Krona",
		Symbol:      "ISK",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "352"},
	{
		Name:        "INR",
		Description: "Indian Rupee",
		Symbol:      "INR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "356"},
	{
		Name:        "IDR",
		Description: "Rupiah",
		Symbol:      "IDR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "360"},
	{
		Name:        "IRR",
		Description: "Iranian Rial",
		Symbol:      "IRR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "364"},
	{
		Name:        "IQD",
		Description: "Iraqi Dinar",
		Symbol:      "IQD",
		Precision:   3,
		Type:        models.Currency,
		AlternateId: "368"},
	{
		Name:        "ILS",
		Description: "New Israeli Sheqel",
		Symbol:      "ILS",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "376"},
	{
		Name:        "JMD",
		Description: "Jamaican Dollar",
		Symbol:      "JMD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "388"},
	{
		Name:        "JPY",
		Description: "Yen",
		Symbol:      "JPY",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "392"},
	{
		Name:        "KZT",
		Description: "Tenge",
		Symbol:      "KZT",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "398"},
	{
		Name:        "JOD",
		Description: "Jordanian Dinar",
		Symbol:      "JOD",
		Precision:   3,
		Type:        models.Currency,
		AlternateId: "400"},
	{
		Name:        "KES",
		Description: "Kenyan Shilling",
		Symbol:      "KES",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "404"},
	{
		Name:        "KPW",
		Description: "North Korean Won",
		Symbol:      "KPW",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "408"},
	{
		Name:        "KRW",
		Description: "Won",
		Symbol:      "KRW",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "410"},
	{
		Name:        "KWD",
		Description: "Kuwaiti Dinar",
		Symbol:      "KWD",
		Precision:   3,
		Type:        models.Currency,
		AlternateId: "414"},
	{
		Name:        "KGS",
		Description: "Som",
		Symbol:      "KGS",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "417"},
	{
		Name:        "LAK",
		Description: "Lao Kip",
		Symbol:      "LAK",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "418"},
	{
		Name:        "LBP",
		Description: "Lebanese Pound",
		Symbol:      "LBP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "422"},
	{
		Name:        "LSL",
		Description: "Loti",
		Symbol:      "LSL",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "426"},
	{
		Name:        "LRD",
		Description: "Liberian Dollar",
		Symbol:      "LRD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "430"},
	{
		Name:        "LYD",
		Description: "Libyan Dinar",
		Symbol:      "LYD",
		Precision:   3,
		Type:        models.Currency,
		AlternateId: "434"},
	{
		Name:        "MOP",
		Description: "Pataca",
		Symbol:      "MOP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "446"},
	{
		Name:        "MWK",
		Description: "Malawi Kwacha",
		Symbol:      "MWK",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "454"},
	{
		Name:        "MYR",
		Description: "Malaysian Ringgit",
		Symbol:      "MYR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "458"},
	{
		Name:        "MVR",
		Description: "Rufiyaa",
		Symbol:      "MVR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "462"},
	{
		Name:        "MUR",
		Description: "Mauritius Rupee",
		Symbol:      "MUR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "480"},
	{
		Name:        "MXN",
		Description: "Mexican Peso",
		Symbol:      "MXN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "484"},
	{
		Name:        "MNT",
		Description: "Tugrik",
		Symbol:      "MNT",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "496"},
	{
		Name:        "MDL",
		Description: "Moldovan Leu",
		Symbol:      "MDL",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "498"},
	{
		Name:        "MAD",
		Description: "Moroccan Dirham",
		Symbol:      "MAD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "504"},
	{
		Name:        "OMR",
		Description: "Rial Omani",
		Symbol:      "OMR",
		Precision:   3,
		Type:        models.Currency,
		AlternateId: "512"},
	{
		Name:        "NAD",
		Description: "Namibia Dollar",
		Symbol:      "NAD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "516"},
	{
		Name:        "NPR",
		Description: "Nepalese Rupee",
		Symbol:      "NPR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "524"},
	{
		Name:        "ANG",
		Description: "Netherlands Antillean Guilder",
		Symbol:      "ANG",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "532"},
	{
		Name:        "AWG",
		Description: "Aruban Florin",
		Symbol:      "AWG",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "533"},
	{
		Name:        "VUV",
		Description: "Vatu",
		Symbol:      "VUV",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "548"},
	{
		Name:        "NZD",
		Description: "New Zealand Dollar",
		Symbol:      "NZD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "554"},
	{
		Name:        "NIO",
		Description: "Cordoba Oro",
		Symbol:      "NIO",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "558"},
	{
		Name:        "NGN",
		Description: "Naira",
		Symbol:      "NGN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "566"},
	{
		Name:        "NOK",
		Description: "Norwegian Krone",
		Symbol:      "NOK",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "578"},
	{
		Name:        "PKR",
		Description: "Pakistan Rupee",
		Symbol:      "PKR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "586"},
	{
		Name:        "PAB",
		Description: "Balboa",
		Symbol:      "PAB",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "590"},
	{
		Name:        "PGK",
		Description: "Kina",
		Symbol:      "PGK",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "598"},
	{
		Name:        "PYG",
		Description: "Guarani",
		Symbol:      "PYG",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "600"},
	{
		Name:        "PEN",
		Description: "Sol",
		Symbol:      "PEN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "604"},
	{
		Name:        "PHP",
		Description: "Philippine Peso",
		Symbol:      "PHP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "608"},
	{
		Name:        "QAR",
		Description: "Qatari Rial",
		Symbol:      "QAR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "634"},
	{
		Name:        "RUB",
		Description: "Russian Ruble",
		Symbol:      "RUB",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "643"},
	{
		Name:        "RWF",
		Description: "Rwanda Franc",
		Symbol:      "RWF",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "646"},
	{
		Name:        "SHP",
		Description: "Saint Helena Pound",
		Symbol:      "SHP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "654"},
	{
		Name:        "SAR",
		Description: "Saudi Riyal",
		Symbol:      "SAR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "682"},
	{
		Name:        "SCR",
		Description: "Seychelles Rupee",
		Symbol:      "SCR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "690"},
	{
		Name:        "SLL",
		Description: "Leone",
		Symbol:      "SLL",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "694"},
	{
		Name:        "SGD",
		Description: "Singapore Dollar",
		Symbol:      "SGD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "702"},
	{
		Name:        "VND",
		Description: "Dong",
		Symbol:      "VND",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "704"},
	{
		Name:        "SOS",
		Description: "Somali Shilling",
		Symbol:      "SOS",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "706"},
	{
		Name:        "ZAR",
		Description: "Rand",
		Symbol:      "ZAR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "710"},
	{
		Name:        "SSP",
		Description: "South Sudanese Pound",
		Symbol:      "SSP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "728"},
	{
		Name:        "SZL",
		Description: "Lilangeni",
		Symbol:      "SZL",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "748"},
	{
		Name:        "SEK",
		Description: "Swedish Krona",
		Symbol:      "SEK",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "752"},
	{
		Name:        "CHF",
		Description: "Swiss Franc",
		Symbol:      "CHF",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "756"},
	{
		Name:        "SYP",
		Description: "Syrian Pound",
		Symbol:      "SYP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "760"},
	{
		Name:        "THB",
		Description: "Baht",
		Symbol:      "THB",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "764"},
	{
		Name:        "TOP",
		Description: "Pa’anga",
		Symbol:      "TOP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "776"},
	{
		Name:        "TTD",
		Description: "Trinidad and Tobago Dollar",
		Symbol:      "TTD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "780"},
	{
		Name:        "AED",
		Description: "UAE Dirham",
		Symbol:      "AED",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "784"},
	{
		Name:        "TND",
		Description: "Tunisian Dinar",
		Symbol:      "TND",
		Precision:   3,
		Type:        models.Currency,
		AlternateId: "788"},
	{
		Name:        "UGX",
		Description: "Uganda Shilling",
		Symbol:      "UGX",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "800"},
	{
		Name:        "MKD",
		Description: "Denar",
		Symbol:      "MKD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "807"},
	{
		Name:        "EGP",
		Description: "Egyptian Pound",
		Symbol:      "EGP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "818"},
	{
		Name:        "GBP",
		Description: "Pound Sterling",
		Symbol:      "GBP",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "826"},
	{
		Name:        "TZS",
		Description: "Tanzanian Shilling",
		Symbol:      "TZS",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "834"},
	{
		Name:        "USD",
		Description: "US Dollar",
		Symbol:      "USD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "840"},
	{
		Name:        "UYU",
		Description: "Peso Uruguayo",
		Symbol:      "UYU",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "858"},
	{
		Name:        "UZS",
		Description: "Uzbekistan Sum",
		Symbol:      "UZS",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "860"},
	{
		Name:        "WST",
		Description: "Tala",
		Symbol:      "WST",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "882"},
	{
		Name:        "YER",
		Description: "Yemeni Rial",
		Symbol:      "YER",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "886"},
	{
		Name:        "TWD",
		Description: "New Taiwan Dollar",
		Symbol:      "TWD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "901"},
	{
		Name:        "UYW",
		Description: "Unidad Previsional",
		Symbol:      "UYW",
		Precision:   4,
		Type:        models.Currency,
		AlternateId: "927"},
	{
		Name:        "VES",
		Description: "Bolívar Soberano",
		Symbol:      "VES",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "928"},
	{
		Name:        "MRU",
		Description: "Ouguiya",
		Symbol:      "MRU",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "929"},
	{
		Name:        "STN",
		Description: "Dobra",
		Symbol:      "STN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "930"},
	{
		Name:        "CUC",
		Description: "Peso Convertible",
		Symbol:      "CUC",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "931"},
	{
		Name:        "ZWL",
		Description: "Zimbabwe Dollar",
		Symbol:      "ZWL",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "932"},
	{
		Name:        "BYN",
		Description: "Belarusian Ruble",
		Symbol:      "BYN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "933"},
	{
		Name:        "TMT",
		Description: "Turkmenistan New Manat",
		Symbol:      "TMT",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "934"},
	{
		Name:        "GHS",
		Description: "Ghana Cedi",
		Symbol:      "GHS",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "936"},
	{
		Name:        "SDG",
		Description: "Sudanese Pound",
		Symbol:      "SDG",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "938"},
	{
		Name:        "UYI",
		Description: "Uruguay Peso en Unidades Indexadas (UI)",
		Symbol:      "UYI",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "940"},
	{
		Name:        "RSD",
		Description: "Serbian Dinar",
		Symbol:      "RSD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "941"},
	{
		Name:        "MZN",
		Description: "Mozambique Metical",
		Symbol:      "MZN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "943"},
	{
		Name:        "AZN",
		Description: "Azerbaijan Manat",
		Symbol:      "AZN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "944"},
	{
		Name:        "RON",
		Description: "Romanian Leu",
		Symbol:      "RON",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "946"},
	{
		Name:        "CHE",
		Description: "WIR Euro",
		Symbol:      "CHE",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "947"},
	{
		Name:        "CHW",
		Description: "WIR Franc",
		Symbol:      "CHW",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "948"},
	{
		Name:        "TRY",
		Description: "Turkish Lira",
		Symbol:      "TRY",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "949"},
	{
		Name:        "XAF",
		Description: "CFA Franc BEAC",
		Symbol:      "XAF",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "950"},
	{
		Name:        "XCD",
		Description: "East Caribbean Dollar",
		Symbol:      "XCD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "951"},
	{
		Name:        "XOF",
		Description: "CFA Franc BCEAO",
		Symbol:      "XOF",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "952"},
	{
		Name:        "XPF",
		Description: "CFP Franc",
		Symbol:      "XPF",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "953"},
	{
		Name:        "XBA",
		Description: "Bond Markets Unit European Composite Unit (EURCO)",
		Symbol:      "XBA",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "955"},
	{
		Name:        "XBB",
		Description: "Bond Markets Unit European Monetary Unit (E.M.U.-6)",
		Symbol:      "XBB",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "956"},
	{
		Name:        "XBC",
		Description: "Bond Markets Unit European Unit of Account 9 (E.U.A.-9)",
		Symbol:      "XBC",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "957"},
	{
		Name:        "XBD",
		Description: "Bond Markets Unit European Unit of Account 17 (E.U.A.-17)",
		Symbol:      "XBD",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "958"},
	{
		Name:        "XAU",
		Description: "Gold",
		Symbol:      "XAU",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "959"},
	{
		Name:        "XDR",
		Description: "SDR (Special Drawing Right)",
		Symbol:      "XDR",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "960"},
	{
		Name:        "XAG",
		Description: "Silver",
		Symbol:      "XAG",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "961"},
	{
		Name:        "XPT",
		Description: "Platinum",
		Symbol:      "XPT",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "962"},
	{
		Name:        "XTS",
		Description: "Codes specifically reserved for testing purposes",
		Symbol:      "XTS",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "963"},
	{
		Name:        "XPD",
		Description: "Palladium",
		Symbol:      "XPD",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "964"},
	{
		Name:        "XUA",
		Description: "ADB Unit of Account",
		Symbol:      "XUA",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "965"},
	{
		Name:        "ZMW",
		Description: "Zambian Kwacha",
		Symbol:      "ZMW",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "967"},
	{
		Name:        "SRD",
		Description: "Surinam Dollar",
		Symbol:      "SRD",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "968"},
	{
		Name:        "MGA",
		Description: "Malagasy Ariary",
		Symbol:      "MGA",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "969"},
	{
		Name:        "COU",
		Description: "Unidad de Valor Real",
		Symbol:      "COU",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "970"},
	{
		Name:        "AFN",
		Description: "Afghani",
		Symbol:      "AFN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "971"},
	{
		Name:        "TJS",
		Description: "Somoni",
		Symbol:      "TJS",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "972"},
	{
		Name:        "AOA",
		Description: "Kwanza",
		Symbol:      "AOA",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "973"},
	{
		Name:        "BGN",
		Description: "Bulgarian Lev",
		Symbol:      "BGN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "975"},
	{
		Name:        "CDF",
		Description: "Congolese Franc",
		Symbol:      "CDF",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "976"},
	{
		Name:        "BAM",
		Description: "Convertible Mark",
		Symbol:      "BAM",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "977"},
	{
		Name:        "EUR",
		Description: "Euro",
		Symbol:      "EUR",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "978"},
	{
		Name:        "MXV",
		Description: "Mexican Unidad de Inversion (UDI)",
		Symbol:      "MXV",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "979"},
	{
		Name:        "UAH",
		Description: "Hryvnia",
		Symbol:      "UAH",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "980"},
	{
		Name:        "GEL",
		Description: "Lari",
		Symbol:      "GEL",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "981"},
	{
		Name:        "BOV",
		Description: "Mvdol",
		Symbol:      "BOV",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "984"},
	{
		Name:        "PLN",
		Description: "Zloty",
		Symbol:      "PLN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "985"},
	{
		Name:        "BRL",
		Description: "Brazilian Real",
		Symbol:      "BRL",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "986"},
	{
		Name:        "CLF",
		Description: "Unidad de Fomento",
		Symbol:      "CLF",
		Precision:   4,
		Type:        models.Currency,
		AlternateId: "990"},
	{
		Name:        "XSU",
		Description: "Sucre",
		Symbol:      "XSU",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "994"},
	{
		Name:        "USN",
		Description: "US Dollar (Next day)",
		Symbol:      "USN",
		Precision:   2,
		Type:        models.Currency,
		AlternateId: "997"},
	{
		Name:        "XXX",
		Description: "The codes assigned for transactions where no currency is involved",
		Symbol:      "XXX",
		Precision:   0,
		Type:        models.Currency,
		AlternateId: "999"},

	//

}
